Subject: Re: bug#18879: 24.3; flymake error window is wider than screeny

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 19 Jan 2021 17:28:37 +0100

Arne Babenhauserheide <[email-masked]> writes:

> When the flymake command does not work in graphical emacs (gtk), the
> error message is a single line window which often exceeds the limits of
> the screen.
>
> Also the message cannot be selected, so I cannot just copy the error
> message. And it does not appear in *Messages*. This makes it hard to
> debug flymake errors - and normally causes me to ignore them and just go
> without flymake.
>
> It would be nice to have message window not exceed a certain width
> (for example not become bigger than the screen), the text in the message
> selectable via mouse-selection and the error message appear in the
> *Messages* buffer.

(I'm going through old bug reports that unfortunately got no response at
the time.)

Do you still see this issue in more recent versions of Emacs?  If so, do
you have a recipe for how to reproduce it, starting from "emacs -Q"?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no